<template>
  <div
    class="fullscreen bg-blue text-white text-center q-pa-md flex flex-center"
  >
    <div>
      <template v-if="$route.params.valor == '2'">
        <div style="font-size: 30vh">403</div>

        <div class="text-h2" style="opacity: 0.4">
          Oops. No tiene permisos suficientes...
        </div>
      </template>
      <template v-else>
        <div style="font-size: 30vh">404</div>

        <div class="text-h2" style="opacity: 0.4">
          Oops. Esta página no existe...
        </div>
      </template>

      <q-btn
        class="q-mt-xl"
        color="white"
        text-color="blue"
        unelevated
        :to="link"
        label="Go Home"
        no-caps
      />
    </div>
  </div>
</template>

<script >
import { Loading } from "quasar";
import { LocalStorage } from "quasar";

export default {
  name: "Error404",
  data() {
    return {
      link: "/",
    };
  },
  created() {
    Loading.hide();
    let verificarPermiso = false;
    if (LocalStorage.getItem("_mdls_")) {
      LocalStorage.getItem("_mdls_").forEach((elemento) => {
        if (elemento.hijos) {
          elemento.hijos.forEach((hijo) => {
            if (hijo.link == "/dashboard") {
              verificarPermiso = true;
            }
          });
        }
        if (elemento.link == "/dashboard") {
          verificarPermiso = true;
        }
      });
      if (verificarPermiso) {
        this.link = "/";
      } else {
        LocalStorage.clear();
      }
    }
  },
};
</script>
